# database_header.hpp File Reference

defines the database structure in file More...

`#include "../my_config.h"`
`#include "infinint.hpp"`
`#include "generic_file.hpp"`
`#include "user_interaction.hpp"`

Go to the source code of this file.

## Namespaces
namespace | libdar
| libdar namespace encapsulate all libdar symbols

## Functions
generic_file * | libdar::database_header_create (user_interaction &dialog, const std::string &filename, bool overwrite)
| create the header for a dar_manager database
generic_file * | libdar::database_header_open (user_interaction &dialog, const std::string &filename)
| read the header of a dar_manager database

## Detailed Description

defines the database structure in file

Definition in file database_header.hpp.